# Infidep Helpers

INFIDEP is a nonlinear three-dimensional Finite Element Method (FEM) tool developed for the efficient analysis of cylindrical foundations, including piles, monopile foundations, and suction piles. Its has the advantagees of accuracy, robustness, and computational efficiency, and particular technical consideration towards the design of offshore wind turbine (OWT) foundations.

INFIDEP has the following key features:

INFIDEP program is a 3D FEM program, featured by Fourier series aided FE theory and particularly defined 'ring' elements.
INFIDEP program employs various material models to simulate the complex soil behaviour, e.g. non-linearity, anisotropy and damping.

INFIDEP runs in the cloud on DNV's OneCompute platform. This package enables calculations to be run without the end user needing to understand the OneCompute platform.

## Documentation
The [INFIDEP User Documentation](https://myworkspace-dev.dnv.com/download/sesam/Infidep/downloads/docs/index.html) contains more details about INFIDEP, including the input data format.

## Examples
Python examples are available in the [Infidep Examples](https://github.com/dnvgl/infidep-examples) repository.